package Ensembl.artemis;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class EntryPOATie
	extends EntryPOA
{
	private EntryOperations _delegate;

	private POA _poa;
	public EntryPOATie(EntryOperations delegate)
	{
		_delegate = delegate;
	}
	public EntryPOATie(EntryOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public Ensembl.artemis.Entry _this()
	{
		return Ensembl.artemis.EntryHelper.narrow(_this_object());
	}
	public Ensembl.artemis.Entry _this(org.omg.CORBA.ORB orb)
	{
		return Ensembl.artemis.EntryHelper.narrow(_this_object(orb));
	}
	public EntryOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(EntryOperations delegate)
	{
		_delegate = delegate;
	}
	public Ensembl.artemis.BioSequence getSequence()
	{
		return _delegate.getSequence();
	}

	public Ensembl.artemis.Feature[] getAllFeatures()
	{
		return _delegate.getAllFeatures();
	}

	public int getFeatureCount()
	{
		return _delegate.getFeatureCount();
	}

	public java.lang.String getName()
	{
		return _delegate.getName();
	}

}
